Package it.ernytech.tdlib

## Class TdApi.SetSupergroupStickerSet

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetSupergroupStickerSet

Enclosing class:
  TdApi

    public static class TdApi.SetSupergroupStickerSet
    extends TdApi.Function

Changes the sticker set of a supergroup; requires appropriate rights in the supergroup.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `stickerSetId` New value of the supergroup sticker set identifier.
`int` `supergroupId` Identifier of the supergroup.

### Constructor Summary

Constructors
`SetSupergroupStickerSet()` Default constructor.
`SetSupergroupStickerSet​(int supergroupId, long stickerSetId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup.

#### stickerSetId

    public long stickerSetId

New value of the supergroup sticker set identifier. Use 0 to remove the supergroup sticker set.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetSupergroupStickerSet

    public SetSupergroupStickerSet()

Default constructor.

#### SetSupergroupStickerSet

    public SetSupergroupStickerSet​(int supergroupId,
                                   long stickerSetId)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup.
  `stickerSetId` - New value of the supergroup sticker set identifier. Use 0 to remove the supergroup sticker set.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR